<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('purchases', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->index()->constrained('users')->onDelete('cascade');
            $table->foreignId('supplier_id')->index()->constrained('suppliers')->onDelete('cascade');
            $table->text('invoice_id')->nullable();
            $table->string('date');
            $table->longText('details')->nullable();
            $table->double('subtotal', 10, 2)->default(0);
            $table->double('vat', 10, 2)->default(0);
            $table->double('discount', 10, 2)->default(0);
            $table->double('grand_total', 10, 2)->default(0);
            $table->enum('status', [0, 1, 2])->default('0')->comment('0=request, 1=approved, 2=rejected');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('purchases');
    }
};
